<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" data-theme="light">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
        <meta name="color-scheme" content="light only">

        <title>{{config('app.name')}}</title>

        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />
        <link href="https://cdn.jsdelivr.net/npm/daisyui@4.12.10/dist/full.min.css" rel="stylesheet" type="text/css" />
        <meta name="csrf-token" content="{{ csrf_token() }}">

        @vite(['resources/css/app.css','resources/js/app.js'])
    </head>
    <body class="antialiased font-serif no-scroll">
        <div role="alert" class="alert alert-info hidden z-40 fixed w-1/2 top-3 right-3">
            <span></span>
        </div>
        <div class="petal-overlay" id="petalOverlay">
            <img src="{{ asset('assets/petal.gif') }}" alt="Falling Petals">
        </div>
        <audio id="player" loop>
            <source src="{{ asset('assets/background-musicv2.mp3') }}" type="audio/mp3">
        </audio>
        <div class="parent absolute h-screen w-screen">
            @include('components.front-cover')
        </div>
        <div class="section bg-babyblue min-h-screen flex justify-center items-center pb-20">
            @include('components.main-event')
        </div>
        <div class="section bg-babyblue min-h-screen flex justify-center pb-5">
            @include('components.event-info')
        </div>
        <div class="section bg-babyblue flex justify-center pb-5">
            @include('components.countdown')
        </div>
        <div class="section bg-babyblue flex justify-center pt-5 pb-5">
            @include('components.guestbook')
        </div>
        <div class="section bg-babyblue flex justify-center pt-5 pb-20">
            @include('components.prayer')
        </div>
        @include('components.navbar')

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

        @stack('script')
    </body>
</html>
