/** @type {import('tailwindcss').Config} */
export default {
  darkMode: false,
  content: [
    "./resources/**/*.blade.php",
    "./resources/**/*.js",
  ],
  theme: {
    extend: {
      colors: {
        babyblue: '#e9f6fb',
        babybluesecond: '#DFF2F6',
        babybluedark: '#d2ebef',
        navbarcolor: '#5a5b5e',
      },
      fontFamily: {
        'tan-pearl': ['Tan Pearl', 'sans-serif'],
      },
      keyframes: {
          fadeUp: {
              '0%': { opacity: 0, transform: 'translateY(20px)' },
              '100%': { opacity: 1, transform: 'translateY(0)' },
          },
      },
      animation: {
          fadeUp: 'fadeUp 0.5s ease-out forwards',
      },
    },
    screens: {
      'sm': '640px',
      'md': '768px',
      'lg': '1024px',
      'xl': '1280px',
      '2xl': '1536px',
    },
  },
  daisyui: {
    themes: ["light"],
  },
  plugins: [
    require('tailwindcss-animate'),
  ],
}

